package com.community.huiju.dao;


import com.community.huiju.model.ToCommunities;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ToCommunitiesMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ToCommunities record);

    int insertSelective(ToCommunities record);

    ToCommunities selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ToCommunities record);

    int updateByPrimaryKey(ToCommunities record);
    
    List<ToCommunities> selectByCommunityName(@Param(value="communityName") String communityName);

    /**
     * 查询超级管理员
     * @param communityId
     * @return
     */
    Integer selectAndmin(@Param("communityId") Integer communityId);
}